Freeciv-3.3: /fast/freeciv/nightly/main/common/fc_interface.h File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Structures | Functions | Variables
fc_interface.h File Reference
`#include "support.h"`
`#include "fc_types.h"`
`#include "vision.h"`

Go to the source code of this file.

## Data Structures

struct | functions

## Functions

struct functions * | fc_interface_funcs (void)
void | libfreeciv_init (bool check_fc_interface)
void | libfreeciv_free (void)
static bool | is_server (void)
void | i_am_server (void)
void | i_am_client (void)
static void | i_am_tool (void)

## Variables

const struct functions * | fc_funcs
bool | am_i_server

## Function Documentation

## ◆ fc_interface_funcs()

struct functions * fc_interface_funcs | ( | void |  | ) |

Return the function pointer. Only possible before interface_init() was called (fc_funcs_defined FALSE).

Definition at line 47 of file fc_interface.c.

Referenced by fc_interface_init_client(), fc_interface_init_server(), and fc_interface_init_tool().

## ◆ i_am_client()

void i_am_client | ( | void |  | ) |

Set program type to client.

Definition at line 65 of file fc_interface.c.

Referenced by client_main().

## ◆ i_am_server()

void i_am_server | ( | void |  | ) |

Set program type to server.

Definition at line 57 of file fc_interface.c.

Referenced by i_am_tool(), and srv_init().

## ◆ i_am_tool()

static void i_am_tool | ( | void |  | ) |

inlinestatic

Set program type to tool.

Definition at line 80 of file fc_interface.h.

Referenced by main().

## ◆ is_server()

static bool is_server | ( | void |  | ) |

inlinestatic

Is the program type server?

Definition at line 69 of file fc_interface.h.

Referenced by achievement_check(), add_connection_data(), api_methods_city_inspire_partisans(), api_methods_is_city_happy(), api_methods_is_city_unhappy(), api_methods_player_research_cost(), can_unit_deboard_or_be_unloaded(), citizens_count(), city_add_improvement(), city_from_great_wonder(), city_from_wonder(), city_illness_calc(), city_is_occupied(), city_remove_improvement(), city_size_add(), conn_pattern_match(), connection_do_unbuffer(), connection_send_data(), create_city_virtual(), destroy_city_virtual(), game_defaults(), game_init(), game_reset(), game_ruleset_free(), game_ruleset_init(), get_packet_from_connection_raw(), is_age_req_active(), is_form_age_req_active(), is_my_zoc(), is_nation_pickable(), modpacks_free(), modpacks_init(), nation_cities(), nation_city_new(), nation_free(), nation_group_new(), nation_group_set_match(), nation_init(), nations_match(), packet_handlers_fill_initial(), pft_fill_attack_param(), pft_fill_overlap_param(), pft_fill_parameter(), player_clear(), player_destroy(), send_packet_data(), set_city_production(), tile_set_terrain(), tri_req_active_turns(), unit_can_airlift_to(), unit_list_sort_ord_city(), unit_list_sort_ord_map(), unit_move_to_tile_test(), unit_transported(), unit_virtual_create(), unit_virtual_destroy(), user_effect_ai_valued_as(), and write_socket_data().

## ◆ libfreeciv_free()

void libfreeciv_free | ( | void |  | ) |

Free misc resources allocated for libfreeciv.

Definition at line 102 of file fc_interface.c.

Referenced by client_exit(), fcmp_deinit(), main(), and server_quit().

## ◆ libfreeciv_init()

void libfreeciv_init | ( | bool | check_fc_interface | ) |

Initialize libfreeciv.

Parameters

  check_fc_interface | Whether to also test and initialize functions.

Definition at line 75 of file fc_interface.c.

Referenced by fc_interface_init_client(), fc_interface_init_server(), fc_interface_init_tool(), and fcmp_init().

## Variable Documentation

## ◆ am_i_server

bool am_i_server

extern

Definition at line 64 of file game.c.

Referenced by i_am_client(), i_am_server(), and is_server().

## ◆ fc_funcs

const struct functions* fc_funcs

extern

Definition at line 38 of file fc_interface.c.

Referenced by actres_possible(), can_player_see_unit_at(), is_action_possible(), libfreeciv_init(), objbind_get_value_from_object(), player_can_trust_tile_has_no_units(), player_clear(), rgbcolor_destroy(), server_setting_by_name(), server_setting_name_get(), server_setting_type_get(), server_setting_value_bitwise_get(), server_setting_value_bool_get(), server_setting_value_int_get(), tile_create_extra(), tile_destroy_extra(), and tile_get_known().